﻿using UserMicroservice.Models;

namespace UserMicroservice.Services
{
    // CRUD Based Service
    public interface IUserService
    {
        User GetUser(string username);
        List<User> GetUsers();
        string RegisterUser(string username, string password);
        User UpdateUser(User updatedUser);
        bool DeleteUser(string username);
        string? Login(string username, string password);
    }

    // interfaces are great for writing unit tests
    // mocking certain parts of the code and asserting the outcome
    // also so each class that inherits this have its own implementation
    // while have the same parameters and return types
    // ~ Russell Horwood
}
